Open CASCADE Technology: STEPCAFControl_ExternFile Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
STEPCAFControl_ExternFile Class Reference

Auxiliary class serving as container for data resulting from translation of external file. More...

`#include <STEPCAFControl_ExternFile.hxx>`

Inheritance diagram for STEPCAFControl_ExternFile:
[legend]

## Public Member Functions
| STEPCAFControl_ExternFile ()
| Creates an empty structure. More...
void | SetWS (const Handle< XSControl_WorkSession > &WS)
Handle< XSControl_WorkSession > | GetWS () const
void | SetLoadStatus (const IFSelect_ReturnStatus stat)
IFSelect_ReturnStatus | GetLoadStatus () const
void | SetTransferStatus (const Standard_Boolean isok)
Standard_Boolean | GetTransferStatus () const
void | SetWriteStatus (const IFSelect_ReturnStatus stat)
IFSelect_ReturnStatus | GetWriteStatus () const
void | SetName (const Handle< TCollection_HAsciiString > &name)
Handle< TCollection_HAsciiString > | GetName () const
void | SetLabel (const TDF_Label &L)
TDF_Label | GetLabel () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Auxiliary class serving as container for data resulting from translation of external file.

## Constructor & Destructor Documentation

STEPCAFControl_ExternFile::STEPCAFControl_ExternFile | ( |  | ) |

Creates an empty structure.

## Member Function Documentation

TDF_Label STEPCAFControl_ExternFile::GetLabel | ( |  | ) | const

IFSelect_ReturnStatus STEPCAFControl_ExternFile::GetLoadStatus | ( |  | ) | const

Handle< TCollection_HAsciiString > STEPCAFControl_ExternFile::GetName | ( |  | ) | const

Standard_Boolean STEPCAFControl_ExternFile::GetTransferStatus | ( |  | ) | const

IFSelect_ReturnStatus STEPCAFControl_ExternFile::GetWriteStatus | ( |  | ) | const

Handle< XSControl_WorkSession > STEPCAFControl_ExternFile::GetWS | ( |  | ) | const

void STEPCAFControl_ExternFile::SetLabel | ( | const TDF_Label & | L | ) |

void STEPCAFControl_ExternFile::SetLoadStatus | ( | const IFSelect_ReturnStatus | stat | ) |

void STEPCAFControl_ExternFile::SetName | ( | const Handle< TCollection_HAsciiString > & | name | ) |

void STEPCAFControl_ExternFile::SetTransferStatus | ( | const Standard_Boolean | isok | ) |

void STEPCAFControl_ExternFile::SetWriteStatus | ( | const IFSelect_ReturnStatus | stat | ) |

void STEPCAFControl_ExternFile::SetWS | ( | const Handle< XSControl_WorkSession > & | WS | ) |

The documentation for this class was generated from the following file:

- STEPCAFControl_ExternFile.hxx